# Repository interfaces directory
# Create your repository interfaces here
# Example:
# 
# abstract class AuthRepository {
#   Future<Either<Failure, LoginResponseModel>> login(LoginRequest request);
#   Future<Either<Failure, RegisterResponseModel>> register(RegisterRequest request);
# }
